# Root logger option

log4j.logger.DataProvider=INFO, DataProviderAppender
log4j.logger.Cluster=INFO, MovementAppender
log4j.logger.Visitor=INFO, MovementAppender
log4j.logger.org.apache.http=DEBUG, HttpAppender
log4j.logger.Landmarks=INFO, LandmarkAppender

log4j.additivity.org.apache.http=false
log4j.additivity.DataProvider=false
log4j.additivity.Landmarks=false

# Redirect log messages to a log file, support file rolling.
log4j.appender.DataProviderAppender=org.apache.log4j.RollingFileAppender
log4j.appender.DataProviderAppender.File=logs/positions.log
log4j.appender.DataProviderAppender.MaxFileSize=100MB
log4j.appender.DataProviderAppender.MaxBackupIndex=10
log4j.appender.DataProviderAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.DataProviderAppender.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss} %m%n

log4j.appender.MovementAppender=org.apache.log4j.RollingFileAppender
log4j.appender.MovementAppender.File=logs/locations.log
log4j.appender.MovementAppender.MaxFileSize=100MB
log4j.appender.MovementAppender.MaxBackupIndex=10
log4j.appender.MovementAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.MovementAppender.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss} %m%n

log4j.appender.HttpAppender=org.apache.log4j.RollingFileAppender
log4j.appender.HttpAppender.File=logs/http.log
log4j.appender.HttpAppender.MaxFileSize=100MB
log4j.appender.HttpAppender.MaxBackupIndex=10
log4j.appender.HttpAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.HttpAppender.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss} %m%n

log4j.appender.MongoAppender=org.apache.log4j.RollingFileAppender
log4j.appender.MongoAppender.File=logs/mongo.log
log4j.appender.MongoAppender.MaxFileSize=100MB
log4j.appender.MongoAppender.MaxBackupIndex=10
log4j.appender.MongoAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.MongoAppender.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss} %m%n

log4j.appender.LandmarkAppender=org.apache.log4j.RollingFileAppender
log4j.appender.LandmarkAppender.File=logs/landmarks.log
log4j.appender.LandmarkAppender.MaxFileSize=100MB
log4j.appender.LandmarkAppender.MaxBackupIndex=10
log4j.appender.LandmarkAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.LandmarkAppender.layout.ConversionPattern=%m%n